#ifndef XMATERIALTECHNIQUESET_H
#define XMATERIALTECHNIQUESET_H

#include "xasset.h"
#include "xmaterialtechnique.h"
#include "xstring.h"

class XMaterialTechniqueSet : public XAsset
{
public:
    explicit XMaterialTechniqueSet();
    ~XMaterialTechniqueSet();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    XString mName;
    quint8 mWorldVertFormat;
    XMaterialTechniqueSet* mRemappedTechniqueSet;
    QVector<XMaterialTechnique> mTechniques;
};

#endif // XMATERIALTECHNIQUESET_H








